#!/bin/sh
eval 'if [ -x /usr/local/cpanel/3rdparty/bin/perl ]; then exec /usr/local/cpanel/3rdparty/bin/perl -x -- $0 ${1+"$@"}; else exec /usr/bin/perl -x $0 ${1+"$@"}; fi;'
if 0;

#!/usr/bin/perl

# Copyright (c) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2018 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

BEGIN { unshift @INC, '/usr/local/cpanel', '/scripts'; }

use strict;
use Data::Dumper;
use Cpanel::DomainLookup          ();
use Cpanel::Config::Users         ();

my @users =Cpanel::Config::Users::getcpusers();
foreach my $user (@users) {
    my @pathes = Cpanel::DomainLookup::getdocrootlist($user);
    foreach my $path (@pathes) {
        my @k = keys %{$path};
        foreach my $path_i (@k) {
            print $path_i , "\n";
        }
    }
}

